//
//  get_template.cpp
//  restore_alto_files
//
//  Created by Paul McJones on 8/21/21.
//  Copyright © 2021 Paul McJones. All rights reserved.

//#include "get_template.h"

const char* get_template() {
    return
        "<!DOCTYPE HTML PUBLIC \"- //W3C//DTD HTML 4.0 //EN\">\n"
        "<html>\n"
        "<head>\n"
        "    <style type=\"text/css\">\n"
        "        /* Tioga Looks, roughly translated into CSS, applied to SPANs: */\n"
        "        /* \"annotation font\" */\n"
        "        span.look-a {\n"
        "            font-family: 'Times New Roman', Times, serif;\n"
        "            font-size: medium\n"
        "        }\n"
        "        /* \"bold font\" */\n"
        "        span.look-b {\n"
        "            font-weight: bold\n"
        "        }\n"
        "        /* \"cedar comments\" */\n"
        "        span.look-c {\n"
        "            font-style: italic\n"
        "        }\n"
        "        /* \"down for subscript\" */\n"
        "        span.look-d {\n"
        "            font-size: x-small;\n"
        "            vertical-align: sub\n"
        "        }\n"
        "        /* \"emphasis\" */\n"
        "        span.look-e {\n"
        "            /* TODO: In original look, this is handled differently if in a comment! */\n"
        "            font-weight: bold\n"
        "        }\n"
        "        /* \"fixed pitch font\" */\n"
        "        span.look-f {\n"
        "            font-family: 'Courier New, Courier, monospace';\n"
        "        }\n"
        "        /* \"greek\" */\n"
        "        span.look-g {\n"
        "            font-family: 'Helvetica Greek';\n"
        "        }\n"
        "        /* \"hidden by asterisks or something\" */\n"
        "        span.look-h {\n"
        "            text-decoration: line-through\n"
        "        }\n"
        "        /* \"italic\" */\n"
        "        span.look-i {\n"
        "            font-style: italic\n"
        "        }\n"
        "        /* \"kanji\" */\n"
        "        span.look-j {\n"
        "            /* TODO: This will require special translation */\n"
        "        }\n"
        "        /* \"CEDAR KEYWORDS\" */\n"
        "        span.look-k {\n"
        "            font-size : small;\n"
        "            font-family: 'Times New Roman', Times, serif\n"
        "        }\n"
        "        /* \"larger font\" */\n"
        "        span.look-l {\n"
        "            font-size: larger\n"
        "        }\n"
        "        /* \"Math Math font*/\n"
        "        span.look-m {\n"
        "            /* TODO: This will require special translation. */\n"
        "        }\n"
        "        /* \"Cedar procedure names\" */\n"
        "        span.look-n {\n"
        "            font-weight: bold\n"
        "        }\n"
        "        /* \"other font\" */\n"
        "        span.look-o {\n"
        "            font-family: 'Helvetica'\n"
        "        }\n"
        "        span.look-p {\n"
        "            font-size:medium;\n"
        "            font-family:'Times New Roman'\n"
        "        }\n"
        "        /* \"Quaint XEROX logo font*/\n"
        "        span.look-q {\n"
        "            /* TODO: This will require special translation */\n"
        "            font-size: x-large\n"
        "        }\n"
        "        /* \"regular face -- override node format */\n"
        "        span.look-r {\n"
        "            font-style: normal;\n"
        "            font-weight: normal;\n"
        "            font-size: medium;\n"
        "        }\n"
        "        /* \"smaller size\" */\n"
        "        span.look-s {\n"
        "            font-size: small\n"
        "        }\n"
        "        /* \"tiogoa font\" (code font) */\n"
        "        span.look-t {\n"
        "            font-family: Courier New, Courier, monospace\n"
        "        }\n"
        "        /* \"up, for superscript\" */\n"
        "        span.look-u {\n"
        "            font-size: x-small;\n"
        "            vertical-align: super\n"
        "        }\n"
        "        /* \"video reverse\" */\n"
        "        span.look-v {\n"
        "            background-color: black;\n"
        "            color: white;\n"
        "        }\n"
        "        /* \"'what about this' annotation looks\" */\n"
        "        span.look-w {\n"
        "            font-family: Helvetica;\n"
        "            font-weight: bold\n"
        "        }\n"
        "        /* \"extra large\" */\n"
        "        span.look-x {\n"
        "            font-size: x-large\n"
        "        }\n"
        "        /* \"arbitrary for strikeout\" */\n"
        "        span.look-y {\n"
        "            text-decoration: line-through\n"
        "        }\n"
        "        /* \"arbitrary for underlined\" */\n"
        "        span.look-z {\n"
        "            text-decoration: underline\n"
        "        }\n"
        "\n"
        "        /* Tioga Styles, roughly translated into CSS, applied to DIVs: */\n"
        "\n"
        "        div.abstract, div.authors, div.block, div.block1, div.body, div.body1, div.cedarRoot, div.code,\n"
        "        div.code1, div.code2, div.code3, div.indent, div.indent1, div.item, div.note, div.parametertable,\n"
        "        div.quote, div.ragged, div.raggedLeft, div.reference, div.standard, div.table, div.table0, div.table1,\n"
        "        div.table2, div.table3, div.table4, div.tight, div.unit, div.unleaded, div.widowSaver {\n"
        "            font-size: initial;\n"
        "            font-weight: normal;\n"
        "            font-style: normal;\n"
        "            text-wrap: normal;\n"
        "            text-align: justify;\n"
        "            text-indent: initial;\n"
        "            padding: 2pt 0pt 8pt 0pt;\n"
        "            margin-left: 18pt\n"
        "        }\n"
        "\n"
        "        /* \"for abstract on title page\" */\n"
        "        div.abstract {\n"
        "            font-family: Helvetica;\n"
        "            tab-size: 14;\n"
        "            margin-left: initial\n"
        "        }\n"
        "        div.artworkFigure {\n"
        "            align-content: center\n"
        "        }\n"
        "        div.artworkCaption {\n"
        "            font-family: Helvetica;\n"
        "            font-weight: bold\n"
        "        }\n"
        "        div.ascii {\n"
        "            font-family: Courier New, Courier, monospace;\n"
        "            font-size: initial;\n"
        "            /* TODO: this probably doesn't work */\n"
        "            max-width: 82em\n"
        "        }\n"
        "        div.authors {\n"
        "            font-family: Helvetica;\n"
        "            font-size: larger;\n"
        "            text-wrap: none\n"
        "        }\n"
        "\n"
        "        div.block1 {\n"
        "            /* TODO: translate \"more top leading\" to something */\n"
        "        }\n"
        "        div.body {\n"
        "            text-indent: 1em\n"
        "        }\n"
        "        div.body1 {\n"
        "            text-indent: 1em\n"
        "            /* TODO: translate \"extra top leading\" to something */\n"
        "        }\n"
        "        div.boilerplate {\n"
        "            font-family: 'Times New Roman';\n"
        "            text-wrap: normal;\n"
        "            text-align: justify;\n"
        "            hyphens: none\n"
        "        }\n"
        "        div.cedarRoot, div.root {\n"
        "            margin-top: 0.5in;\n"
        "            margin-left: 1.5in;\n"
        "            margin-right: 1.5in;\n"
        "            margin-bottom: 0.5in;\n"
        "        }\n"
        "        div.center {\n"
        "            align-content: center\n"
        "        }\n"
        "        div.chapter {\n"
        "            font-weight: bold;\n"
        "            font-size: x-large;\n"
        "        }\n"
        "        div.code, div.code1, div.code2, div.code3, div.unit {\n"
        "            font-family: Courier New, Courier, monospace;\n"
        "            font-size: initial;\n"
        "            padding: initial\n"
        "        }\n"
        "        div.continuation {\n"
        "            font-family: 'Times New Roman';\n"
        "            text-wrap: normal;\n"
        "            text-align: justify\n"
        "        }\n"
        "        div.copyrightNotice {\n"
        "            font-family: Arial, Helvetica, sans-serif;\n"
        "            font-size: larger\n"
        "        }\n"
        "        div.default {\n"
        "            font-size: initial;\n"
        "            font-weight: normal;\n"
        "            font-stretch: normal;\n"
        "            font-family: Courier New, Courier, monospace;\n"
        "            tab-size: 4\n"
        "        }\n"
        "        div.display {\n"
        "            font-family: 'Times New Roman';\n"
        "            text-wrap: normal;\n"
        "            text-align: justify;\n"
        "            hyphens: none\n"
        "        }\n"
        "        div.head, div.head1, div.title {\n"
        "            font-size: x-large;\n"
        "            font-weight: bold;\n"
        "        }\n"
        "        div.head > div.head {\n"
        "            font-size: large;\n"
        "            font-weight: bold;\n"
        "            margin-left: 18pt\n"
        "        }\n"
        "        div.head > div.head > div.head {\n"
        "            font-size: medium;\n"
        "            font-style: italic;\n"
        "            font-weight: normal;\n"
        "            margin-left: 18pt\n"
        "        }\n"
        "        div.head2 {\n"
        "            font-weight: bold;\n"
        "        }\n"
        "        div.head3 {\n"
        "            font-style: italic\n"
        "        }\n"
        "        div.head4, div.head5 {\n"
        "            font-family: 'Times New Roman';\n"
        "            text-wrap: normal;\n"
        "            text-align: justify\n"
        "        }\n"
        "        div.indent, div.indent1 {\n"
        "            margin-left: 36pt\n"
        "        }\n"
        "        div.item, div.item1 {\n"
        "            margin-left: 36pt\n"
        "        }\n"
        "        div.logo {\n"
        "            font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;\n"
        "            font-size: x-large;\n"
        "        }\n"
        "        div.parametertable {\n"
        "            hyphens: none;\n"
        "            tab-size: 15;\n"
        "        }\n"
        "        div.note {\n"
        "            font-size: x-small;\n"
        "        }\n"
        "        div.quote {\n"
        "            text-indent: each-line\n"
        "        }\n"
        "        div.ragged {\n"
        "            text-align: left\n"
        "        }\n"
        "        div.raggedLeft {\n"
        "            text-align: right\n"
        "        }\n"
        "        div.reference {\n"
        "            hyphens: none\n"
        "        }\n"
        "        div.table, div.table0, div.table1, div.table2, div.table3, div.table4 {\n"
        "            hyphens: none;\n"
        "            tab-size: 40;\n"
        "            text-align: left;\n"
        "        }\n"
        "        div.table0 {\n"
        "            tab-size: 35;\n"
        "        }\n"
        "        div.table1 {\n"
        "            tab-size: 30;\n"
        "        }\n"
        "        div.table2 {\n"
        "            tab-size: 25;\n"
        "        }\n"
        "        div.table3 {\n"
        "            tab-size: 20;\n"
        "        }\n"
        "        div.table4 {\n"
        "            tab-size: 15;\n"
        "        }\n"
        "        div.tight {\n"
        "            padding: 2pt 0pt 4pt 0pt;\n"
        "        }\n"
        "        div.title {\n"
        "            font-family: 'Helvetica';\n"
        "            font-size: xx-large;\n"
        "            text-align: left;\n"
        "            text-indent: initial;\n"
        "        }\n"
        "        div.unleaded {\n"
        "            text-indent: initial;\n"
        "            text-align: left;\n"
        "        }\n"
        "        div.widowSaver {\n"
        "\n"
        "        }\n"
        "    </style>\n";
}
